stl_stack.h File Reference

Go to the source code of this file.

## Classes

class | std::stack< _Tp, _Sequence >

## Namespaces

namespace | std

## Functions

template<typename _Tp, typename _Seq>
bool | std::operator!= (const stack< _Tp, _Seq > &__x, const stack< _Tp, _Seq > &__y)
template<typename _Tp, typename _Seq>
bool | std::operator< (const stack< _Tp, _Seq > &__x, const stack< _Tp, _Seq > &__y)
template<typename _Tp, typename _Seq>
bool | std::operator<= (const stack< _Tp, _Seq > &__x, const stack< _Tp, _Seq > &__y)
template<typename _Tp, typename _Seq>
bool | std::operator== (const stack< _Tp, _Seq > &__x, const stack< _Tp, _Seq > &__y)
template<typename _Tp, typename _Seq>
bool | std::operator> (const stack< _Tp, _Seq > &__x, const stack< _Tp, _Seq > &__y)
template<typename _Tp, typename _Seq>
bool | std::operator>= (const stack< _Tp, _Seq > &__x, const stack< _Tp, _Seq > &__y)
template<typename _Tp, typename _Seq>
enable_if< __is_swappable< _Seq >::value >::type | std::swap (stack< _Tp, _Seq > &__x, stack< _Tp, _Seq > &__y) noexcept(noexcept(__x.swap(__y)))

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <stack>.

Definition in file stl_stack.h.